Google cardboard android build & run

I have just upgraded to unity 5.0 and am trying to test google cardboard. When I build and run the demo - unity is searching for a suitable android device - it hasn’t done that before.

I have buildt and run android apps last year using 4.# without error.

Has this process changed in Unity 5.0 or is it the google glass project im using?

Start a new project in Unity 5, change build settings to Android GLES3 Compression, then import the Cardboard SDK (4v9) then fix up your scene or run demo (must target API 19) worked fine for me